package com.yonge.cooleshow.admin.service;

import com.yonge.cooleshow.admin.dto.HomeStatistical;
import com.yonge.cooleshow.admin.dto.OmsOrderReturnApplyResult;
import com.yonge.cooleshow.admin.dto.OmsReturnApplyQueryParam;
import com.yonge.cooleshow.admin.dto.OmsUpdateStatusParam;
import com.yonge.cooleshow.mbg.model.OmsOrderReturnApply;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 退货申请管理Service
 * Created by macro on 2018/10/18.
 */
public interface OmsOrderReturnApplyService {
    /**
     * 分页查询申请
     */
    List<OmsOrderReturnApply> list(OmsReturnApplyQueryParam queryParam, Integer pageSize, Integer pageNum);

    /**
     * 批量删除申请
     */
    @Transactional
    int delete(List<Long> ids);

    /**
     * 修改指定申请状态
     */
    @Transactional
    int updateStatus(Long id, OmsUpdateStatusParam statusParam);

    void setTestReturnApply(Long id);


    /**
     * 获取指定申请详情
     */
    OmsOrderReturnApplyResult getItem(Long id);


    /**
     * 统计 待处理退款申请 待处理退货订单
     *
     * @return
     */
    HomeStatistical countReturnStatus();
}
